Skip to main content
GET
Get Route
Completed routes are cached for 6 hours, then expire. Use DELETE to remove them earlier if needed.

Path Parameters

route_id
string
required

The unique route resource ID (prefixed with route_)

Example:

"route_01HYX3MPK5XJQJG0NB0PRSDVWC"

Response

Route resource found

A route resource. Used by the /v1/routes endpoint family.

id
string
required

Unique route ID (prefixed with route_)

Example:

"route_01HYX3MPK5XJQJG0NB0PRSDVWC"

object
enum<string>
required

Object type (always route)

Available options:
route
status
enum<string>
required

Current status of the route computation.

  • processing - route is still being computed (routes array is empty)
  • complete - route computation finished (routes array is populated)
  • failed - route computation failed (error object is populated)
Available options:
processing,
complete,
failed
createdAt
string<date-time>
required

ISO 8601 UTC timestamp of creation

Example:

"2026-02-28T15:12:32Z"

routes
object[]
required

Computed routes (empty while processing)

fallbackInfo
object | null
geocodingResults
object | null
warnings
string[]
error
object | null

Error details (populated when status is failed)